Bug Hunting Session
Bug 108273 - FORMATING: Tabstops behave strange when paragraph is right or middle aligned
Summary: FORMATING: Tabstops behave strange when paragraph is right or middle aligned
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.beta1
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Tab-Stops
  Show dependency treegraph
 
Reported: 2017-05-31 23:12 UTC by David Fritzsch_LibreOffice
Modified: 2019-07-30 03:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The problem with the Tabstops - and how it should be. (10.11 KB, application/vnd.oasis.opendocument.text)
2017-05-31 23:18 UTC, David Fritzsch_LibreOffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Fritzsch_LibreOffice 2017-05-31 23:12:03 UTC
Description:
Tabstops doesn't follow the visual marks of the document rulers if paragraph is anything else than aligned to left.

Steps to Reproduce:
1. write a line or text and put somewhere a tab
2. click on the document rule above to set a left tabstop
3. align the line/paragraph right

Actual Results:  
Right align paragraph somehow also mirrors the tabstop
so for example: left tabstop is at 2 cm ; and page boarder is at 17 cm
=> the tabbed text will end at 15 cm 
so right align is turning the left tabstop to a right one using the right boarder.

That's confusing and anything else than easy to handle or work with.

Expected Results:
also on the right align paragraph the tabstop should work as shown on the document rules and place the tabbed word at 2 cm(from the left boarder)


Reproducible: Always

User Profile Reset: No

Additional Info:
Tested Microsoft Word 2013 and Wordpad of window 7 and both showing the same behavior.

But Libre Office should do it better that. 

Fix proposal #1:
Tapstops on right/middle aligned paragraphs should be rendered differently.


Fix proposal #2:
In case that is a kind of weird standard word processing software should follow
at least the document ruler should also follow it visually.

=> Now the tabstops at the ruler just stay were they are pointing to 'wrong' locations(if you're not smart enough for the weird logic behind scene) and so violating the WYSIWYG principle.


User-Agent: Mozilla/5.0 (Windows NT 6.1; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 David Fritzsch_LibreOffice 2017-05-31 23:18:34 UTC
Created attachment 133763 [details]
The problem with the Tabstops - and how it should be.
Comment 2 Buovjaga 2017-06-09 16:53:49 UTC
This would change a default behaviour and I guess break a lot of documents.
Adding UX to CC.
Comment 3 Heiko Tietze 2017-06-12 06:58:07 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2018-07-26 08:46:55 UTC
We discussed David's proposal in the design meeting and agree that the issue is a bug. The attached document shows nicely how the ruler should indicate tab stops.
Comment 5 QA Administrators 2019-07-30 03:16:50 UTC
Dear David Fritzsch_LibreOffice,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug